package algorithms;

import java.util.List;
import java.util.Random;
import objects.Template;

public class ClassifierRandom extends Classifier {
    
    private List<Template> templatesGallery;

    @Override
    public void importTemplatesGallery(List<Template> templatesGallery) {
        this.templatesGallery = templatesGallery;
    }

    @Override
    public String classify(Template templateProbe) {
        return templatesGallery.get(new Random().nextInt(templatesGallery.size())).getSubject();
    }
}
